Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class SignerInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.cms.SignerInfo

All Implemented Interfaces:
  DEREncodable

public class SignerInfo
extends ASN1Encodable

Constructor Summary
`SignerInfo(ASN1Sequence seq)`
`SignerInfo(SignerIdentifier sid, AlgorithmIdentifier digAlgorithm, ASN1Set authenticatedAttributes, AlgorithmIdentifier digEncryptionAlgorithm, ASN1OctetString encryptedDigest, ASN1Set unauthenticatedAttributes)`

Method Summary
`ASN1Set` | `getAuthenticatedAttributes()`
`AlgorithmIdentifier` | `getDigestAlgorithm()`
`AlgorithmIdentifier` | `getDigestEncryptionAlgorithm()`
`ASN1OctetString` | `getEncryptedDigest()`
`static SignerInfo` | `getInstance(java.lang.Object o)`
`SignerIdentifier` | `getSID()`
`ASN1Set` | `getUnauthenticatedAttributes()`
`DERInteger` | `getVersion()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignerInfo

    public SignerInfo(SignerIdentifier sid,
                      AlgorithmIdentifier digAlgorithm,
                      ASN1Set authenticatedAttributes,
                      AlgorithmIdentifier digEncryptionAlgorithm,
                      ASN1OctetString encryptedDigest,
                      ASN1Set unauthenticatedAttributes)

### SignerInfo

    public SignerInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static SignerInfo getInstance(java.lang.Object o)

### getVersion

    public DERInteger getVersion()

### getSID

    public SignerIdentifier getSID()

### getAuthenticatedAttributes

    public ASN1Set getAuthenticatedAttributes()

### getDigestAlgorithm

    public AlgorithmIdentifier getDigestAlgorithm()

### getEncryptedDigest

    public ASN1OctetString getEncryptedDigest()

### getDigestEncryptionAlgorithm

    public AlgorithmIdentifier getDigestEncryptionAlgorithm()

### getUnauthenticatedAttributes

    public ASN1Set getUnauthenticatedAttributes()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

        SignerInfo ::= SEQUENCE {
            version Version,
            SignerIdentifier sid,
            digestAlgorithm DigestAlgorithmIdentifier,
            authenticatedAttributes [0] IMPLICIT Attributes OPTIONAL,
            digestEncryptionAlgorithm DigestEncryptionAlgorithmIdentifier,
            encryptedDigest EncryptedDigest,
            unauthenticatedAttributes [1] IMPLICIT Attributes OPTIONAL
        }

        EncryptedDigest ::= OCTET STRING

        DigestAlgorithmIdentifier ::= AlgorithmIdentifier

        DigestEncryptionAlgorithmIdentifier ::= AlgorithmIdentifier

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD